/**
 * XActMoodOrdPrmsEvn2.java
 *
 * File generated from the medication2::XActMoodOrdPrmsEvn2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActMoodOrdPrmsEvn2.
 *
 * 
 */

@XmlType(name = "XActMoodOrdPrmsEvn")
@XmlEnum
@XmlRootElement(name = "XActMoodOrdPrmsEvn2")
public enum XActMoodOrdPrmsEvn2 {
	@XmlEnumValue("EVN")
	EVN("EVN"),
	@XmlEnumValue("PRMS")
	PRMS("PRMS"),
	@XmlEnumValue("RQO")
	RQO("RQO");
	
	private final String value;

    XActMoodOrdPrmsEvn2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XActMoodOrdPrmsEvn2 fromValue(String v) {
        for (XActMoodOrdPrmsEvn2 c: XActMoodOrdPrmsEvn2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
